﻿using Microsoft.AspNetCore.Mvc;
// paczka Twilio dająca nam dostęp do API
using Twilio;
using Twilio.Rest.Api.V2010.Account;
using Twilio.Types;

namespace TwilioIntegration.Controllers
{
    [Route("[controller]")]
    public class TwilioController : Controller
    {
        // GET: Twilio
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Index(string name, string telephone)
        {
            // Pamiętajcie, że jest to kod czysto poglądowy - skupiamy się funkcjonalności Twilio

            // poniższe dane możecie znaleźć w swoim panelu
            const string accountSid = "AXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX";
            const string authToken = "6XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX";

            // Inicjalizacja klienta dla naszych danych
            TwilioClient.Init(accountSid, authToken);

            // wprowadzamy numer telefonu naszego użytkownika
            var to = new PhoneNumber("+48" + telephone);
            
            // definiujemy niezbędne parametry wysyłania sms
            var message = MessageResource.Create(
                to: to,
                from: new PhoneNumber("+18XXXXXXXXXX"), // wprowadzamy numer, który otrzymaliśmy w ramach darmowego konta 
                body: $"Witaj {name}! Twój pierwszy sms wysłany z bramki Twilio!"); // treść wysyłanej wiadomości

            return View();
        }
    }
}